Overview | Modules | Class Hierarchy | Classes | Members

# GlComplexPolygon.h File Reference

`#include <GL/gl.h>`
`#include <vector>`
`#include <map>`
`#include <set>`
`#include <tulip/Color.h>`
`#include <tulip/Coord.h>`
`#include <tulip/tulipconf.h>`
`#include "tulip/GlSimpleEntity.h"`

Include dependency graph for GlComplexPolygon.h:

## Namespaces

- namespace tlp

## Classes

- struct tlp::VERTEX
- class tlp::GlComplexPolygon

## Functions

- void CALLBACK tlp::beginCallback (GLenum which, GLvoid *polygonData)
- void CALLBACK tlp::errorCallback (GLenum errorCode)
- void CALLBACK tlp::endCallback (GLvoid *polygonData)
- void CALLBACK tlp::vertexCallback (GLvoid *vertex, GLvoid *polygonData)
- void CALLBACK tlp::combineCallback (GLdouble coords[3], VERTEX *d[4], GLfloat w[4], VERTEX **dataOut, GLvoid *polygonData)

Tulip Software by LaBRI Visualization Team 2001 - 2010